<?php
	get_header(); 
?>
    <section id="content">
        <div class="container">
			
			<?php
				$pagenavi = get_theme_mod('rst_general_pagenavi') ? get_theme_mod('rst_general_pagenavi') : 1;			
				$template = get_theme_mod('rst_general_template') ? get_theme_mod('rst_general_template') : 'large';			
				$layout = get_theme_mod('rst_general_layout') ? get_theme_mod('rst_general_layout') : 3;	
			?>
            <div id="fully-inner-content" class="row <?php echo ( $pagenavi == 3 ? ' rst-wrap-ajax' : '' ); ?>" data-sticky_parent="">
				<?php 
					$class = "";
					
					if( $layout == 1) {
						$class .= 'col-md-12 ';
					}
					if( ($layout == 1 && $template == 'large') ) {
						$class .= ' fully-main-content-full';
					}
					if( $layout == 2 ) {
						$class .= 'col-md-8 pull-right has-sidebar';
					}
					if( $layout == 3 ) {
						$class .= 'col-md-8 pull-left has-sidebar';
					}
				?>
				<?php
					global $wp_query;
					$post_per_page = get_theme_mod('rst_general_numberpost') ? get_theme_mod('rst_general_numberpost') : get_option('posts_per_page');
					
					$args = array(
						'posts_per_page' 	=> absint($post_per_page),
						'post_status'		=> 'publish',
						'paged' 			=> max( get_query_var( 'paged' ), get_query_var( 'page' ))
					);
					$args = array_merge( $wp_query->query_vars, $args );
					$the_query = new WP_Query( $args );
					$wp_query = $the_query;
					//wp_reset_query();
				?>
				<?php
					global $rst_blog;
					
					$column = get_theme_mod('rst_general_column') ? get_theme_mod('rst_general_column') : 3;	
					$excerpt_length = get_theme_mod('rst_general_excerpt_length');
					$numberpost = $post_per_page;
					//$column = get_theme_mod('rst_cat_column') ? get_theme_mod('rst_cat_column') : 3;
					$rst_blog = array(
						'layout'		=> $layout,
						'template'		=> $template,
						'column' 			=> $column,
						'post_per_page'		=> $numberpost,
						'excerpt_length'	=> $excerpt_length,
						'page_option' => ''
					);
				?>  
				<?php
					if(is_int( ($the_query->found_posts - $post_per_page ) / 3 )){
						$max_paged = ceil( ( $the_query->found_posts - $post_per_page ) / 3 ) + 1;
					}else{
						$max_paged = ceil( ( $the_query->found_posts - $post_per_page ) / 3 );
					}
					
					if( $pagenavi == 3 ) {
						$rstkey =  uniqid();
						global $rst_pagenavi;
						$rst_pagenavi = array(
							'key' 		=> 'angllia_'.$rstkey,
							'max-paged'	=> $max_paged
						);
						if ( function_exists('angllia_render_script_ajax_block')) {
							angllia_render_script_ajax_block($args, $rst_blog, $rstkey);
						}	} ?>
				<?php
				if(!get_theme_mod('hidden_author_box')){
					$author_id = get_query_var('author');
					$user_info = get_userdata($author_id);
					$size_avatar = 200;
				?>
				<div class="rst-author-post col-md-10 col-md-offset-1">
					<?php echo get_avatar( $author_id, $size_avatar ); ?>
					<div class="info-author-post">
						<h4><?php echo (is_object($user_info) && !empty($user_info->display_name)) ? esc_html($user_info->display_name) : '' ?></h4>
						<div class="description-author">
							<?php echo apply_filters('the_content', get_the_author_meta( 'description', $author_id )); ?>
						</div>
						<ul class="list-inline">
							<?php if( rs::getField('rst_user_facebook','user_'.$author_id) ) { ?>
							<li><a class="rst-icon-facebook" target="_blank" href="<?php echo rs::getField('rst_user_facebook','user_'.$author_id) ?>"><i class="fa fa-facebook"></i></a></li>
							<?php } ?>
							<?php if( rs::getField('rst_user_twitter','user_'.$author_id) ) { ?>
							<li><a class="rst-icon-twitter" target="_blank" href="<?php echo rs::getField('rst_user_twitter','user_'.$author_id) ?>"><i class="fa fa-twitter"></i></a></li>
							<?php } ?>
							<?php if( rs::getField('rst_user_google','user_'.$author_id) ) { ?>
							<li><a class="rst-icon-google-plus" target="_blank" href="<?php echo rs::getField('rst_user_google','user_'.$author_id) ?>"><i class="fa fa-google-plus"></i></a></li>
							<?php } ?>
							<?php if( rs::getField('rst_user_youtube','user_'.$author_id) ) { ?>
							<li><a class="rst-icon-google-plus" target="_blank" href="<?php echo rs::getField('rst_user_youtube','user_'.$author_id) ?>"><i class="fa fa-youtube"></i></a></li>
							<?php } ?>
							<?php if( rs::getField('rst_user_instagram','user_'.$author_id) ) { ?>
							<li><a class="rst-icon-google-plus" target="_blank" href="<?php echo rs::getField('rst_user_instagram','user_'.$author_id) ?>"><i class="fa fa-instagram"></i></a></li>
							<?php } ?>
							<?php if( rs::getField('rst_user_dribbble','user_'.$author_id) ) { ?>
							<li><a class="rst-icon-dribbble" target="_blank" href="<?php echo rs::getField('rst_user_dribbble','user_'.$author_id) ?>"><i class="fa fa-dribbble"></i></a></li>
							<?php } ?>
							<?php if( rs::getField('rst_user_pinterest','user_'.$author_id) ) { ?>
							<li><a class="rst-icon-pinterest" target="_blank" href="<?php echo rs::getField('rst_user_pinterest','user_'.$author_id) ?>"><i class="fa fa-pinterest"></i></a></li>
							<?php } ?>
							
						</ul>
					</div>
					<div class="clear"></div>
				</div>
				<div class="clear"></div>	
				<?php
				}
				?>
                <div class="<?php echo esc_attr($class) ?> fully-main-content">
					<?php 
						if( $template == 'masonry' ) {
							$class_grid = "rst-grid column-".sanitize_html_class($column);
						}elseif( $template == 'grid' ) {
							$class_grid= "rst-grid-col column-".sanitize_html_class($column);
						}else{
							$class_grid= " ";
						}
					?>
					<div class="row <?php echo $class_grid ?> <?php echo ( $pagenavi == 3 ? 'rst-inner-ajax' : '' ); ?>">
					
					<?php if ( $the_query->have_posts() ) : ?>						
						<?php 
							global $k;
							$k = 0;
							while ($the_query->have_posts() ) : $the_query->the_post(); ?>
							<?php
								/*
								 * Include the Post-Format-specific template for the content.
								 * If you want to override this in a child theme, then include a file
								 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
								 */
								get_template_part( 'template-parts/content', get_post_format() );
								$k++;
							?>

						<?php endwhile; ?>
					<?php else : ?>
						<?php get_template_part( 'template-parts/content', 'none' ); ?>

					<?php endif; 
						
					?>
					</div>
					<?php 
						if( $pagenavi == 1 ) {
							angllia_the_posts_navigation(); 
						}
						elseif( $pagenavi == 2 ) {
							angllia_navigation_prev_next(); 
						}
						elseif( $pagenavi == 3 ) {
							angllia_the_posts_navigation_ajax(); 
						}
					?>
				</div>
				<?php
					if( $layout == 2 || $layout == 3 ) {
				?>
					<?php get_sidebar(); ?>
				<?php
					}
				?>
            </div>
        </div>
    </section>

<?php get_footer(); ?>
