<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package angllia
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head itemscope itemtype="http://schema.org/WebSite">
    <!-- Basic Page Needs
    ================================================== -->
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <!--[if IE]><meta http-equiv="x-ua-compatible" content="IE=9" /><![endif]-->
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
   
    <?php wp_head(); ?>
</head>
	<?php
		global $general_wrapper,$border_menu,$header_layout_box;
		$border = get_theme_mod('rst_select_border') ? get_theme_mod('rst_select_border') : 1;
		$general_wrapper = get_theme_mod('rst_general_wrapper') ? get_theme_mod('rst_general_wrapper') : 1;
		$header_layout_box = get_theme_mod('rst_select_header_layout') ? get_theme_mod('rst_select_header_layout') : 1;
		if( $border == 2){
			$border_menu = 'menu-border-top';
		}elseif( $border == 3 ){
			$border_menu = 'menu-border-bottom';
		}elseif( $border == 4 ){
			$border_menu = 'menu-border-top-bottom';
		}elseif( $border == 5 ){
			$border_menu = 'menu-border';
		}else{
			$border_menu = '';
		}
		$body_class = $general_wrapper == 2 ? 'body-box' : '' ;
	?>
<body <?php body_class($body_class); ?> itemscope itemtype="http://schema.org/WebPage">
	
	<section id="wrapper" class=" <?php echo ( $general_wrapper == 2 ? 'wrapper-box container' : '' ); ?>">
	<?php
		$header_layout = 1;
		if( get_theme_mod('rst_header_layout') ) $header_layout = get_theme_mod('rst_header_layout');
			get_template_part( 'layouts/header', 'layout-'. $header_layout );
	?>
	<?php
		if( $general_wrapper == 2 && !is_archive() ){
	?>
		<div class="wrapper-content">
	<?php
		}
	?>