<?php
global $RS;

// Page Setting
$RS->metabox(array(
	'name' => 'page_setting',
	'title' => 'Page Setting',
	'rules' => array(
		'post_type' => 'page',
		'page_template:not' => 'template-home.php'
	),
	'controls' => array(
		array(
			'name' => 'rst_show_title',
			'label'=> 'Show Title',
			'type' => 'switch',
			'style' => 'default',
			'default_value' => true
		),
		array(
			'name' => 'rst_sub_title',
			'label'=> 'Sub Title',
			'type' => 'text'
		),
		array(
			'label' 		=> 'Page Column Style',
			'type' 			=> 'radio',
			'display' 		=> 'inline',
			'name' 			=> 'rst_template_style',
			'description'	=> 'Choose your page column style to show on your page.',
			'items'        	=> array(
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/home-default.jpg',
					'value' => '0',
					'text'  => 'Default'
				),
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/fullwidth.jpg',
					'value' => '1',
					'text'  => 'Full Width'
				),
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/sidebar_left.jpg',
					'value' => '2',
					'text'  => 'Sidebar Left'
				),
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/sidebar_right.jpg',
					'value' => '3',
					'text'  => 'Sidebar Right'
				),				
			),
			'default_value' => '0'
		),
		
		
	)
));


// Post Setting
$RS->metabox(array(
	'name' => 'post_setting',
	'title' => 'Post Setting',
	'rules' => array(
		'post_type' => 'post',
	),
	'controls' => array(
		array(
			'name' => 'rst_show_title',
			'label'=> 'Show Title',
			'type' => 'switch',
			'style' => 'default',
			'default_value' => true
		),
		array(
			'name' => 'rst_sub_title',
			'label'=> 'Sub Title',
			'type' => 'text'
		),
		array(
			'label' 		=> 'Post Style',
			'type' 			=> 'radio',
			'display' 		=> 'inline',
			'name' 			=> 'rst_template_style',
			'description'	=> 'Choose your post column style to show on your page.',
			'items'        	=> array(
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/home-default.jpg',
					'value' => '0',
					'text'  => 'Default'
				),
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/fullwidth.jpg',
					'value' => '1',
					'text'  => 'Full Width'
				),
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/sidebar_left.jpg',
					'value' => '2',
					'text'  => 'Sidebar Left'
				),
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/sidebar_right.jpg',
					'value' => '3',
					'text'  => 'Sidebar Right'
				),				
			),
			'default_value' => '0'
		),
		array(
			'label' 		=> 'Style Post',
			'type' 			=> 'radio',
			'display' 		=> 'inline',
			'name'			=> 'rst_post_custom_style',
			'default_value'	=> '1',
			'items'        	=> array(
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/style_post_01.jpg',
					'value' => '1',
					'text'  => 'Post 1'
				),
				array(
					'image' => get_template_directory_uri() .'/inc/css/images/style_post_02.jpg',
					'value' => '2',
					'text'  => 'Post 2'
				),	
			),
			'conditional_logic' => array(
				'items' => array(
					'rst_template_style' => '2|3'
				)
			)
		),
	)
));

$RS->metabox(array(
	'name' => 'category_setting',
	'title' => 'Category setting',
	'rules' => array(
		'taxonomy' => 'category',
	),
	
	'controls' => array(
		
		array(			
			'label' 		=> 'Layout',			
			'type' 			=> 'radio',			
			'display' 		=> 'inline',			
			'name' 			=> 'cat_layout',			
			'default_value'	=> '0',			
			'items'			=> array(
				array(
					'value' => 0,
					'text' => 'Default',
					'image' => get_template_directory_uri() . '/inc/css/images/home-default.jpg'
				),
				array(
					'value' => 1,
					'text' => 'Full',
					'image' => get_template_directory_uri() . '/inc/css/images/fullwidth.jpg'
				),
				array(
					'value' => 2,
					'text' => 'Left Sidebar',
					'image' => get_template_directory_uri() . '/inc/css/images/sidebar_left.jpg'
				),
				array(
					'value' => 3,
					'text' => 'Right Sidebar',
					'image' => get_template_directory_uri() . '/inc/css/images/sidebar_right.jpg'
				)
			)
		),	
		array(			
			'label' 		=> 'Template',			
			'type' 			=> 'radio',			
			'display' 		=> 'inline',			
			'name' 			=> 'cat_template',			
			'default_value'	=> 'none',			
			'items'			=> array(
				array(
					'value' => 'none',
					'text' => 'Default',
					'image' => get_template_directory_uri() . '/inc/css/images/home-default.jpg'
				),
				array(
					'value' => 'large',
					'text' => 'Large',
					'image' => get_template_directory_uri() . '/inc/css/images/large.jpg'
				),
				array(
					'value' => 'masonry',
					'text' => 'Masonry',
					'image' => get_template_directory_uri() . '/inc/css/images/masonry.jpg'
				),
				
				array(
					'value' => 'medium',
					'text' => 'Medium 1',
					'image' => get_template_directory_uri() . '/inc/css/images/medium.jpg'
				),
			
				array(
					'value' => 'medium4',
					'text' => 'Medium 4',
					'image' => get_template_directory_uri() . '/inc/css/images/list.jpg'
				),
				array(
					'value' => 'large_grid',
					'text' => 'Large & Grid',
					'image' => get_template_directory_uri() . '/inc/css/images/large_grid.jpg'
				),
				array(
					'value' => 'large_medium',
					'text' => 'Large & Medium',
					'image' => get_template_directory_uri() . '/inc/css/images/large_medium.jpg'
				),
				
			)
		),	
		array(
			'label' 		=> 'Column Number',
			'type' 			=> 'select',
			'default_value'	=> 1,
			'name'			=> 'cat_column',
			'items'			=> array(
				'1' => 'Default',
				'2' => '2 Columns',
				'3' => '3 Columns',
				'4' => '4 Columns',
			),
			'description'	=> 'Number columns for template grid &amp; box',
			'conditional_logic' => array(
				'items' => array(
					'cat_template' => 'masonry|large_grid'
				)
			)
		),
		
	)
	
));
