<?php
class angllia_dribbble_widget extends WP_Widget {
	
	function angllia_dribbble_widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'dribbble-widget', 'description' => 'A widget that show images dribbble' );

		/* Create the widget. */
		parent::__construct( 'rst-dribbble-widget', 'Angilla - Dribbble', $widget_ops);	
	}
	 
	function widget($args, $instance) {
		$html = '';
		$html .= $args['before_widget'];
		if( !empty($instance['title']) ) {
			$html .= $args['before_title'];
				$html .= $instance['title'];
			$html .= $args['after_title'];
		}
		$html .= '<div class="lisst-dribbble">';
		$user_id = isset($instance['user_id']) ? $instance['user_id'] : '';
		$count = isset($instance['count']) ? absint($instance['count']) : '6';
		$access_token = isset($instance['api_key']) ? $instance['api_key'] : '';
		
		if( !empty($user_id) || !empty($access_token) ) {
			
			$dribbble_data = wp_remote_retrieve_body(wp_remote_get("https://api.dribbble.com/v1/users/$user_id/shots?access_token=$access_token&per_page=$count"));
			if( $dribbble_data ) {
				$dribbble = json_decode($dribbble_data, true);
				if( is_array($dribbble) ) {
					foreach($dribbble as $shot) :
						$html .= '<div class="dribbble-image"><a href="'.$shot['html_url'] . '" target="_blank">';
							$html .= '<img src="'. $shot['images']['hidpi'] . '" alt="'. $shot['title'] .'">';
						$html .= '</a></div>';
					endforeach;
				}
			}
			
			
		}
		$html .= '<div class="clear"></div>';
		$html .= '</div>';
		$html .= $args['after_widget'];
		echo force_balance_tags($html);
	}
 
	function update($new_instance, $old_instance) {
		return $new_instance;		
	}
 
	function form($instance) {
		?><br/>
		<label><?php echo esc_html__('Title:','angllia') ?>
		<input type="text" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo isset($instance['title']) ? esc_attr($instance['title']) : ''; ?>" style="width:100%" /></label>
		<br /><br />
		<label><?php echo esc_html__('Dribbble Username:','angllia') ?>
		<input type="text" id="<?php echo esc_attr($this->get_field_id( 'user_id' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'user_id' )); ?>" value="<?php echo isset($instance['user_id']) ? esc_attr($instance['user_id']) : ''; ?>" style="width:100%" /></label>
		<br /><br />
		<label><?php echo esc_html__('Access Token:','angllia') ?>
		<input type="text" id="<?php echo esc_attr($this->get_field_id( 'api_key' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'api_key' )); ?>" value="<?php echo isset($instance['api_key']) ? esc_attr($instance['api_key']) : ''; ?>" style="width:100%" /></label>
		
		<br /><br />
		<label><?php echo esc_html__('Number Photo:','angllia') ?>
		<input type="text" id="<?php echo esc_attr($this->get_field_id( 'count' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'count' )); ?>" value="<?php echo isset($instance['count']) ? esc_attr($instance['count']) : '6'; ?>" style="width:100%" /></label>
		<br /><br />
		
		<?php	
	}
	
}

add_action( 'widgets_init', 'angllia_create_dribbble_widget' );

function angllia_create_dribbble_widget(){
	return register_widget("angllia_dribbble_widget");
}