<?php

class angllia_recent_post_widget extends WP_Widget {

	

	function angllia_recent_post_widget() {

		/* Widget settings. */

		$widget_ops = array( 'classname' => 'widget_recent_post', 'description' => 'A widget that show recent posts' );



		/* Create the widget. */

		parent::__construct( 'rst-recent-posts-widget', 'Agnilla - Recent Posts', $widget_ops);	

	}

	 

	function widget($args, $instance) {

		$html = '';

		$html .= $args['before_widget'];

		if( !empty($instance['title']) ) {

			$html .= $args['before_title'];

				$html .= $instance['title'];

			$html .= $args['after_title'];

		}

		$html .= '<div>';

		

		if( absint($instance['number_posts']) > 0 ) {

			$lastposts = get_posts( array( 'posts_per_page' => absint($instance['number_posts']) ) );

			if( sizeof($lastposts) > 0 ) {

				foreach( $lastposts as $post  ) {

				setup_postdata( $post  );

				//var_dump($post);

				$html .= '<div class="box-recent-post clearfix" itemscope itemtype="http://schema.org/Post">';	

					if( get_post_thumbnail_id($post->ID) ) {

						$html .= '<div class="rst-media-left">';

							$html .= '<a rel="bookmark" title="'. strip_tags($post->post_title) .'" href="'. get_the_permalink($post->ID) .'"><img class="media-object " src="'.angllia_get_attachment_image_src(get_post_thumbnail_id($post->ID),'angllia-recent-post') .'" alt="'.$post->post_name.'"></a>';

						$html .= '</div>';

					}

					elseif( get_post_format( $post->ID ) == 'gallery' && !get_post_thumbnail_id($post->ID) ){

						$html .= '<div class="rst-media-left">';

							do_action( 'vp_pfui_before_gallery_meta' );

							$images = get_post_meta($post->ID, '_format_gallery_images', true);

							foreach($images as $thumbnail_id){

								$html .= '<a rel="bookmark" title="'. strip_tags($post->post_title ).'" href="'. get_the_permalink($post->ID) .'"><img class="media-object " src="'. angllia_get_attachment_image_src($thumbnail_id,'angllia-recent-post') .'" alt="'.$post->post_name.'"></a>';

								break;

							}

							do_action( 'vp_pfui_after_gallery_meta' );

						$html .= '</div>';

					}

					

					$html .= '<div class="rst-media-body">';

						$html .= '<h4 itemprop="heading"><a rel="bookmark" title="'. strip_tags($post->post_title) .'" href="'. get_the_permalink($post->ID) .'">'. $post->post_title .'</a></h4>';

						$html .= '<p class="recent-meta-info"><span>at</span><time datetime="'. date_format(date_create($post->post_date),'c') . '">'. date_format(date_create($post->post_date),'M j. Y') .'</time></p>';

					$html .= '</div>';

				$html .= '</div>';

				}

				wp_reset_postdata();

			}

				

		}

			

		$html .= '</div>';

		$html .= $args['after_widget'];

		echo force_balance_tags($html);

	}

 

	function update($new_instance, $old_instance) {

		return $new_instance;		

	}

 

	function form($instance) {

		?><br/>

		<label><?php echo esc_html__('Title:','angllia') ?>

		<input type="text" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo isset($instance['title']) ? esc_attr($instance['title']) : ''; ?>" style="width:100%" /></label>

		<br /><br />

		<label><?php echo esc_html__('Number of posts to show:','angllia') ?>

		<input type="text" id="<?php echo esc_attr($this->get_field_id( 'number_posts' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'number_posts' )); ?>" value="<?php echo isset($instance['number_posts']) ? esc_attr($instance['number_posts']) : '3'; ?>" size="3" /></label>

		

		<?php	

	}

	

}



add_action( 'widgets_init', 'angllia_create_recent_posts_widget' );



function angllia_create_recent_posts_widget(){

	return register_widget("angllia_recent_post_widget");

}