<?php
class WP_Customize_Select_Image_Control extends WP_Customize_Control {
    public $type = 'select-image';
 
    public function render_content() {
        if ( empty( $this->choices ) )
			return;

		$name = '_customize-select-image-' . $this->id;

		if ( ! empty( $this->label ) ) : ?>
			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
		<?php endif;
		if ( ! empty( $this->description ) ) : ?>
			<span class="description customize-control-description"><?php echo force_balance_tags($this->description) ; ?></span>
		<?php endif;
		?>
		<div class="rst-select-image">
			<select style="width:100%" class="demo-htmlselect" name="<?php echo esc_attr( $name ); ?>" <?php $this->link(); ?>>
			<?php
			foreach ( $this->choices as $value => $label ) :
				?>
				<option <?php echo selected( $this->value(), $value, false ) ?> value="<?php echo esc_attr( $value ); ?>" data-image="<?php echo esc_html( $label ); ?>"></option>
				<?php
			endforeach;
			?>
			</select>
			
			
		</div>
		<?php	
    }
	
	public function enqueue() {
		wp_enqueue_style( 'rst-css-select-image', RS_LIB_URL . '/customize/controls/select-image/select.image.css' );
		wp_enqueue_script( 'rst-js-min-select-image', RS_LIB_URL . '/customize/controls/select-image/select.image.min.js', array('jquery'), '', true );
		wp_enqueue_script( 'rst-js-select-image', RS_LIB_URL . '/customize/controls/select-image/select.image.js', array('jquery'), '', true );
	}
	
}