<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package angllia
 */

get_header(); ?>
	
    <section id="content">
        <div class="container">
			<div class="fully-title-description text-center">
				<p><?php angllia_the_translate('Search results for','translation_search_resuilt') ?></p>
				<?php
					if(get_search_query() != ''){
				?>
					<h2><?php the_search_query(); ?></h2>
				<?php
					}
				?>
			</div>
			<?php
				$pagenavi = get_theme_mod('rst_general_pagenavi') ? get_theme_mod('rst_general_pagenavi') : 2;			
				$template = get_theme_mod('rst_general_template') ? get_theme_mod('rst_general_template') : 'large';			
				$layout = get_theme_mod('rst_general_layout') ? get_theme_mod('rst_general_layout') : 3;	
			?>
           <div id="fully-inner-content" class="row <?php echo ( $pagenavi == 3 ? ' rst-wrap-ajax' : '' ); ?>" data-sticky_parent="">
				<?php 
					$class = "";
					
					if( $layout == 1) {
						$class .= 'col-md-12 ';
					}
					if( ($layout == 1 && $template == 'large')  ) {
						$class .= ' fully-main-content-full';
					}
					if( $layout == 2 ) {
						$class .= 'col-md-8 pull-right has-sidebar';
					}
					if( $layout == 3 ) {
						$class .= 'col-md-8 pull-left has-sidebar';
					}
				?>
				<?php
					global $wp_query;
					$post_per_page = get_theme_mod('rst_general_numberpost') ? get_theme_mod('rst_general_numberpost') : get_option('posts_per_page');
					
					$args = array(
						'posts_per_page' 	=> absint($post_per_page),
						'post_status'		=> 'publish',
						'paged' 			=> max( get_query_var( 'paged' ), get_query_var( 'page' ))
					);
					$args = array_merge( $wp_query->query_vars, $args );
					$the_query = new WP_Query( $args );
					$wp_query = $the_query;
					//wp_reset_query();
				?>
				<?php
					global $rst_blog;
					$column = get_theme_mod('rst_general_column') ? get_theme_mod('rst_general_column') : 3;	
					$excerpt_length = get_theme_mod('rst_general_excerpt_length');
					$numberpost = $post_per_page;
					//$column = get_theme_mod('rst_cat_column') ? get_theme_mod('rst_cat_column') : 3;
					$rst_blog = array(
						'layout'		=> $layout,
						'template'		=> $template,
						'column' 			=> $column,
						'post_per_page'		=> $numberpost,
						'excerpt_length'	=> $excerpt_length,
						'page_option' => 'search'
					);
				?>  
				<?php
					if(is_int( ($the_query->found_posts - $post_per_page ) / 3 )){
						$max_paged = ceil( ( $the_query->found_posts - $post_per_page ) / 3 ) + 1;
					}else{
						$max_paged = ceil( ( $the_query->found_posts - $post_per_page ) / 3 );
					}
					
					if( $pagenavi == 3 ) {
						$rstkey =  uniqid();
						global $rst_pagenavi;
						$rst_pagenavi = array(
							'key' 		=> 'angllia_'.$rstkey,
							'max-paged'	=> $max_paged
						);
						if ( function_exists('angllia_render_script_ajax_block')) {
							angllia_render_script_ajax_block($args, $rst_blog, $rstkey);
						}	
				 } ?>
				<div class="<?php echo esc_attr($class) ?> fully-main-content">
					<?php 
						if( $template == 'masonry' || $template == 'large_grid' ) {
							$class_grid = "rst-grid column-".sanitize_html_class($column);
						}elseif( $template == 'grid' ) {
							$class_grid= "rst-grid-col column-".sanitize_html_class($column);
						}else{
							$class_grid= " ";
						}
					?>
					<div class="row <?php echo $class_grid ?> <?php echo ( $pagenavi == 3 ? 'rst-inner-ajax' : '' ); ?>">
					
					<?php if ( $the_query->have_posts() ) : ?>						
						<?php 
							global $k;
							$k = 0;
							while ($the_query->have_posts() ) : $the_query->the_post(); ?>
							<?php
								/*
								 * Include the Post-Format-specific template for the content.
								 * If you want to override this in a child theme, then include a file
								 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
								 */
								get_template_part( 'template-parts/content', get_post_format() );
								$k++;
							?>

						<?php endwhile; ?>
					<?php else : ?>
						<?php get_template_part( 'template-parts/content', 'none' ); ?>

					<?php endif; 
						
					?>
					</div>
					<?php 
						if( $pagenavi == 2 ) {
							angllia_the_posts_navigation(); 
						}
						elseif( $pagenavi == 3 ) {
							angllia_navigation_prev_next(); 
						}
						elseif( $pagenavi == 4 ) {
							angllia_the_posts_navigation_ajax(); 
						}
					?>
				</div><!-- End of Posts/Blogrol -->
				<?php
					if( $layout == 2 || $layout == 3 ) {
				?>
					<?php get_sidebar(); ?>
				<?php
					}
				?>
            </div>
        </div>
    </section>

<?php get_footer(); ?>
