<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package angllia
 */
get_header(); ?>
<section id="content">
	<div class="container">
		<?php
			if( get_theme_mod('rst_post_layout') ){	
				$post_layout = get_theme_mod('rst_post_layout');
			}else{
				$post_layout = get_theme_mod('rst_general_layout') ? get_theme_mod('rst_general_layout') : 3;
			}
			$template_style = rs::getField('rst_template_style') != 0 ? rs::getField('rst_template_style') : $post_layout;
			$style_post = ( rs::getField('rst_template_style') == 2 || rs::getField('rst_template_style') ==3 ) ? rs::getField('rst_post_custom_style') : (get_theme_mod('rst_post_style') ? get_theme_mod('rst_post_style') : 1);
			$class = "";
			if( $template_style == 1 ) {
				$class .= 'col-md-12 fully-main-content-full';
			}
			if( $template_style == 2 ) {
				$class .= 'col-md-8 pull-right';
			}
			if( $template_style == 3 ) {
				$class .= 'col-md-8 pull-left';
			}
			global $rst_post;
			$rst_post = array(
				'style_post'		=> $style_post,
				'layout'		=> $template_style 
			);
		?>
		<div id="fully-inner-content" class="row <?php echo (($style_post == 2 && $template_style != 1) ? 'fully-inner-content-style2' : '') ?>" data-sticky_parent="">	
			<?php 
				if( $style_post == 2 && $template_style != 1 ){
			?>
			<div class="col-md-12">
				<div class="rst-meta-info text- text-<?php echo get_theme_mod('rst_general_position_align') ? get_theme_mod('rst_general_position_align') : 'center' ?> rst-meta-info-single">
				<?php
					if( !get_theme_mod('general_hide_category') ){ 
				?>
					<span class="fully_category_name">
						<?php the_category(', '); ?> 
					</span>
				<?php
					}
				?>
					<?php
						$is_show_title = rs::getField('rst_show_title');
						if( !isset($is_show_title) || $is_show_title ) :
							if( rs::getField('rst_sub_title') == '' ) {
							?>	
								<h2><?php the_title(); ?></h2> <!-- Post Title-->
							<?php	
							}
							else {
							?>	
								<h2><?php echo rs::getField('rst_sub_title') ?></h2>
							<?php
							}
						endif;
					?>
					<div class="rst-inner-meta-info">
						<?php
							if( !get_theme_mod('general_hide_author') ){ 
						?>
						<?php echo esc_html__('by','angllia') ?> 
						<a href="<?php echo get_author_posts_url( $post->post_author ); ?>"><?php the_author() ?></a><span>-</span>
						<?php	
						}
						if( !get_theme_mod('general_hide_date') ){ 
						?>
							<time datetime="<?php echo get_the_date('c') ?>"><?php echo get_the_date(); ?></time>
						<?php
						}
						?>
					</div>
				</div>
				<?php 
					$is_show_thumbnail = get_theme_mod('singe_hide_thumbnail');
					if( ! $is_show_thumbnail ) :
						get_template_part( 'thumbnail', get_post_format() );
					endif;
				?>
				
			</div>
			<?php
				}
			?>
			<div class="<?php echo esc_attr($class) ?> fully-main-content"> <!-- Left Content for Blog Posts -->
				<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'template-parts/content', 'single' ); ?>
					<?php
						// If comments are open or we have at least one comment, load up the comment template.
						if ( (comments_open() || get_comments_number()) && ! get_theme_mod('singe_hide_comment') ) :
							comments_template();
						endif;
					?>
				<?php endwhile; // End of the loop. ?>
				
			</div>
			<?php
				if( $template_style == 2 || $template_style == 3 ) {
					get_sidebar();
				}
			?>
		</div>
	</div>
</section>
<?php get_footer(); ?>