<?php 

	//for use in the loop, list 3 post titles related to first tag on current post

	$tags = wp_get_post_tags(get_the_ID());

	if ( $tags || wp_get_post_categories(get_the_ID()) ) {

		$tag_ids = array();

		foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;

		$args=array(

			'post__not_in' => array(get_the_ID()),

			'posts_per_page'=> 3,

			

			'tax_query' => array(

				'relation' => 'OR',

				array(

					'taxonomy' => 'category',

					'field'    => 'term_id',

					'terms'    => wp_get_post_categories(get_the_ID()),

				),

				array(

					'taxonomy' => 'post_tag',

					'field'    => 'term_id',

					'terms'    => $tag_ids,

				),

			),

			

		);

		

		$my_query = new WP_Query($args);

		if( $my_query->have_posts() ) {

?>

<div class="related-posts">

	<h3 class="title-box"><?php angllia_the_translate('You May Also Like','translation_also_like') ?></h3>

	<div class="row">	

		<?php

			while ($my_query->have_posts()) : $my_query->the_post();

		?>

		

		<div class="col-md-4 col-sm-4  col-xs-4 rst-item-feature-post">

			<div class="rst-item-inner-feature-post">

				<?php if( get_post_thumbnail_id($post->ID) ) { ?>

					<div class="rst_thumbnail">

						<a rel="bookmark" title="<?php echo strip_tags(get_the_title()); ?>" href="<?php the_permalink() ?>">

							<img src="<?php echo angllia_get_attachment_image_src(get_post_thumbnail_id($post->ID),'angllia-list') ?>" alt="<?php echo esc_attr($post->post_name); ?>" />

						</a>

					</div>

				<?php 

				}elseif(get_post_format() == 'quote'){

					$blockquote = rs::getField('rst_quote',$post->ID);

					$author_blockquote = rs::getField('rst_quotesource',$post->ID);

					if($blockquote  && $blockquote != ''){

					?>

					<div class="rst_thumbnail text-center rst_thumbnail_quote">

						<blockquote>

							<?php

								echo esc_html(rst_crop_content($blockquote, 14));

							?>

							<footer>

								<?php

									echo esc_html($author_blockquote);

								?>

							</footer>

						</blockquote>

					</div>

					<?php

					}	

				}else{

					get_template_part( 'thumbnail', get_post_format() );

				} 

				?>

				<div class="rst-meta-info text-left">

					<h2><a rel="bookmark" title="<?php echo strip_tags(get_the_title()); ?>" href="<?php the_permalink() ?>"><?php the_title() ?></a></h2>

					<div class="rst-inner-meta-info">

						<span><?php echo esc_html__('at','angllia') ?> </span>

						<time datetime="<?php echo date_format(date_create($post->post_date),'c') ?>"><?php echo date_format(date_create($post->post_date),'M j . Y') ?></time>

					</div>

				</div>

			</div>

		</div>

		

	<?php

		endwhile;

	?>	

	</div>

</div>

<?php

		}

		wp_reset_query();

	}

?>

